curl https://production.methodfi.com/payments \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"amount": 5000,
"source": "acc_hmap9mbgfLcf9",
"destination": "acc_YXDrjADGjC76U",
"description": "Loan Pmt",
"reversal_account": "acc_3YPBwaEmTAf4K"
}'
const payment = await method.payments.create({
amount: 5000,
source: 'acc_hmap9mbgfLcf9',
destination: 'acc_YXDrjADGjC76U',
description: 'Loan Pmt',
reversal_account: "acc_3YPBwaEmTAf4K"
});
payment = method.payments.create({
'amount': 5000,
'source': 'acc_hmap9mbgfLcf9',
'destination': 'acc_YXDrjADGjC76U',
'description': 'Loan Pmt',
'reversal_account': 'acc_3YPBwaEmTAf4K'
})
{
"id": "pmt_VeCfmkwGKb",
"source": "acc_hmap9mbgfLcf9",
"destination": "acc_YXDrjADGjC76U",
"amount": 5000,
"description": "Loan Pmt",
"status": "pending",
"estimated_completion_date": "2024-03-21",
"source_trace_id": null,
"source_settlement_date": "2024-03-15",
"source_status": "pending",
"destination_trace_id": null,
"destination_settlement_date": "2024-03-21",
"destination_posted_date": null,
"destination_status": "pending",
"reversal_id": null,
"reversal_account": "acc_3YPBwaEmTAf4K",
"payment_instrument": null,
"fee": null,
"type": "standard",
"error": null,
"metadata": null,
"created_at": "2024-03-14T16:15:26.074Z",
"updated_at": "2024-03-14T16:15:26.074Z"
}
Payments
Create a Payment
POST
/
payments
curl https://production.methodfi.com/payments \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"amount": 5000,
"source": "acc_hmap9mbgfLcf9",
"destination": "acc_YXDrjADGjC76U",
"description": "Loan Pmt",
"reversal_account": "acc_3YPBwaEmTAf4K"
}'
const payment = await method.payments.create({
amount: 5000,
source: 'acc_hmap9mbgfLcf9',
destination: 'acc_YXDrjADGjC76U',
description: 'Loan Pmt',
reversal_account: "acc_3YPBwaEmTAf4K"
});
payment = method.payments.create({
'amount': 5000,
'source': 'acc_hmap9mbgfLcf9',
'destination': 'acc_YXDrjADGjC76U',
'description': 'Loan Pmt',
'reversal_account': 'acc_3YPBwaEmTAf4K'
})
{
"id": "pmt_VeCfmkwGKb",
"source": "acc_hmap9mbgfLcf9",
"destination": "acc_YXDrjADGjC76U",
"amount": 5000,
"description": "Loan Pmt",
"status": "pending",
"estimated_completion_date": "2024-03-21",
"source_trace_id": null,
"source_settlement_date": "2024-03-15",
"source_status": "pending",
"destination_trace_id": null,
"destination_settlement_date": "2024-03-21",
"destination_posted_date": null,
"destination_status": "pending",
"reversal_id": null,
"reversal_account": "acc_3YPBwaEmTAf4K",
"payment_instrument": null,
"fee": null,
"type": "standard",
"error": null,
"metadata": null,
"created_at": "2024-03-14T16:15:26.074Z",
"updated_at": "2024-03-14T16:15:26.074Z"
}
Creates a new Payment object.
Payments are transmitted electronically by pulling funds from a source Account,
and sending those funds to a destination Account. Payments are posted to the
destination Account (settled) in 1-3 business days but may vary per
FI (Financial Institution).
Body
Returns
Returns a Payment object. The Payment will be sent based on the cutoff times. Thestatus of the Payment will be updated when the Payment is
sent to our banking networks.
For a dry run payment, no actual payment will be sent.
curl https://production.methodfi.com/payments \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"amount": 5000,
"source": "acc_hmap9mbgfLcf9",
"destination": "acc_YXDrjADGjC76U",
"description": "Loan Pmt",
"reversal_account": "acc_3YPBwaEmTAf4K"
}'
const payment = await method.payments.create({
amount: 5000,
source: 'acc_hmap9mbgfLcf9',
destination: 'acc_YXDrjADGjC76U',
description: 'Loan Pmt',
reversal_account: "acc_3YPBwaEmTAf4K"
});
payment = method.payments.create({
'amount': 5000,
'source': 'acc_hmap9mbgfLcf9',
'destination': 'acc_YXDrjADGjC76U',
'description': 'Loan Pmt',
'reversal_account': 'acc_3YPBwaEmTAf4K'
})
{
"id": "pmt_VeCfmkwGKb",
"source": "acc_hmap9mbgfLcf9",
"destination": "acc_YXDrjADGjC76U",
"amount": 5000,
"description": "Loan Pmt",
"status": "pending",
"estimated_completion_date": "2024-03-21",
"source_trace_id": null,
"source_settlement_date": "2024-03-15",
"source_status": "pending",
"destination_trace_id": null,
"destination_settlement_date": "2024-03-21",
"destination_posted_date": null,
"destination_status": "pending",
"reversal_id": null,
"reversal_account": "acc_3YPBwaEmTAf4K",
"payment_instrument": null,
"fee": null,
"type": "standard",
"error": null,
"metadata": null,
"created_at": "2024-03-14T16:15:26.074Z",
"updated_at": "2024-03-14T16:15:26.074Z"
}
⌘I